Bluetooth(Template)
9 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getIotBlueToothAgingTimeTemplate | GET | Get Aging Time(Template) |
| modifyIotBlueToothAgingTimeTemplate | PUT | Modify Aging Time(Template) |
| getIotRadioSettingTemplate | GET | Get Iot Radio Setting(Template) |
| modifyIotRadioSettingTemplate | PATCH | Modify Iot Radio Setting(Template) |
| getGridIotServerTemplate | GET | Get IoT Transport Stream(Template) |
| createIotServerTemplate | POST | Create IoT Transport Stream(Template) |
| deleteIotServerTemplate | DELETE | Delete IoT Transport Stream(Template) |
| modifyIotServerTemplate | PUT | Modify IoT Transport Stream(Template) |
| batchDeleteIotServerTemplate | DELETE | Batch delete IoT Transport Stream(Template) |
getIotBlueToothAgingTimeTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/iot/aging-time
Get Aging Time(Template)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getIotBlueToothAgingTimeTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get Aging Time setting in site template.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyIotBlueToothAgingTimeTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/iot/aging-time
Modify Aging Time(Template)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema IotAgingTimeOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
agingTime_iotAgingTime | integer | yes | The system automatically removes a device's registry entry if no data reports are received within a predefined aging period.<br/>When format = 0, The parameter aging time should be within the range of 30-86400.<br/>When format = 1, The parameter aging time should be within the range of 1-1440.<br/>When format = 2, The parameter aging time should be within the range of 1-24.<br/> |
format_iotAgingTime | integer | yes | The parameter [format] should be a value as follows: [0:second 1:minute; 2:hour] |
// omada_call_operation
{
"operationId": "modifyIotBlueToothAgingTimeTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Aging Time setting in site template.
The interface requires one of the permissions:
Global Site Template Manager Modify
getIotRadioSettingTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/iot/radio
Get Iot Radio Setting(Template)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getIotRadioSettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get Iot Radio Setting in site template.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyIotRadioSettingTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/iot/radio
Modify Iot Radio Setting(Template)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema IotRadioSettingOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Bluetooth enable. |
consoleMode | integer | no | Bluetooth consle mode should be a value as follow:[0:auto, 1:on, 2:off]. |
passcode | string | no | Bluetooth consle passcode. |
transmitPower | integer | no | Broadcast transmission power.<br />The parameter [transmitPower] should be a value as follows:[-20, -18, -15, -12, -10, -9, -6, -5, -3, 0, 1, 2, 3, 4, 5, 14, 15, 16, 17, 18, 19, 20].(0 by default) |
agingTime | integer | no | The system automatically removes a device's registry entry if no data reports are received within a predefined aging period.<br/>When format = 0, The parameter aging time should be within the range of 30-86400.<br/>When format = 1, The parameter aging time should be within the range of 1-1440.<br/>When format = 2, The parameter aging time should be within the range of 1-24.<br/> |
format | integer | no | The parameter [format] should be a value as follows: [0:second 1:minute; 2:hour] |
resource | integer | no |
// omada_call_operation
{
"operationId": "modifyIotRadioSettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Iot Radio Setting in site template.
The interface requires one of the permissions:
Global Site Template Manager Modify
getGridIotServerTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/iot/servers
Get IoT Transport Stream(Template)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridIotServerTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get IoT Transport Stream setting in site template.
The interface requires one of the permissions:
Global Site Template Manager View Only
createIotServerTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/iot/servers
Create IoT Transport Stream(Template)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema ConfigIotServerOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | IoT Transport Stream setting name. |
enable | boolean | yes | Whether to enable the IoT Transport Stream setting. |
serverUrl | string | yes | If the service type is http, the server URL must start with http://. |
serverType | integer | yes | The server type should be a value as follows: [0: http]. |
deviceClasses | array<integer> | yes | Supports protocol-based filtering during IoT data reporting processes.<br />The device class list should contain the value as follows: [0:minew; 1:iBeacon; 2:Eddystone]. |
reportInterval | integer | no | Data reporting interval configuration for AP devices in IoT systems.The parameter [reportInterval] should be within the range of 1–3600 in seconds, and it cannot be null when blePeriodicTelemetry is enabled. |
authentication | integer | yes | The parameter [authentication] should be a value as follows:[0:Use Token]. |
accessToken | string | yes | This parameter becomes mandatory when the authentication method is set to "Use Token".<br/>Note:The parameter [clientId] should be 1 ~ 128 characters. |
clientId | string | yes | This parameter becomes mandatory when the authentication method is set to "Use Token".<br />Note:The parameter [clientId] should be 1 ~ 128 characters. |
rssiFormat | integer | yes | The signal strength reporting format currently supports five types: [0:Average; 1:Max; 2:Last; 3:Smooth; 4:Bulk]. |
filtersType | array<integer> | no | User-defined settings to manage AP device filtering rules for IoT devices.<br />The parameter [filtersType] should contain the value as follows:[0:Company Identifier; 1:Vendor; 2:Local Name; 3:Service UUID; 4:Mac Oui; 5:iBeacon UUID; 6:UID; 7:URL]. |
filters | object | no | The keys in the [filters] map represent the filter types, while the values correspond to the specific filtering criteria or values associated with each filter type.<br />Note:<br />Filter type = 0, The Company Identifier must conform to a 4-digit or 6-digit hexadecimal encoding. It is only applicable to ibeacon devices<br />Filter type = 1, The Vendor should not exceed 255 bytes in length.<br />Filter type = 2, The Local Name should not exceed 120 bytes in length. It is only applicable to minew devices.<br />Filter type = 3, The Service UUID must conform to a 4-digit hexadecimal encoding. It is only applicable to minew and eddystone devices.<br />Filter type = 4, The Mac Oui must conform to a 6-digit hexadecimal encoding.<br />Filter type = 5, The iBeacon UUID must conform to a 32-digit hexadecimal encoding. It is only applicable to iBeacon devices.<br />Filter type = 6, The UID must conform to a 20-digit or 32-digit hexadecimal encoding. It is only applicable to eddystone devices.<br />Filter type = 7, The URL should not include a scheme. It is only applicable to eddystone devices.<br /> |
countOnly | boolean | no | A switch that controls whether the AP device exclusively reports the count of IoT devices, and it cannot be null when blePeriodicTelemetry is enabled. |
blePeriodicTelemetry | boolean | yes | Whether to enable the BLE Periodic Telemetry. When disabled no periodic packets will be uploaded. |
rawData | boolean | yes | Whether to enable the BLE Data Forwarding. When enabled, the AP directly reports the Bluetooth packet rawData to the server. |
// omada_call_operation
{
"operationId": "createIotServerTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create IoT Transport Stream setting in site Template.
The interface requires one of the permissions:
Global Site Template Manager Modify
deleteIotServerTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/iot/servers/{id}
Delete IoT Transport Stream(Template)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
id | path | string | yes | IoT Transport Stream template entry ID |
// omada_call_operation
{
"operationId": "deleteIotServerTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"id": "<id>"
}
}Details, permissions and error codes
Delete IoT Transport Stream setting in site template.
The interface requires one of the permissions:
Global Site Template Manager Modify
modifyIotServerTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/iot/servers/{id}
Modify IoT Transport Stream(Template)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
id | path | string | yes | IoT Transport Stream template entry ID |
Request body — application/json (required) — schema ConfigIotServerOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | IoT Transport Stream setting name. |
enable | boolean | yes | Whether to enable the IoT Transport Stream setting. |
serverUrl | string | yes | If the service type is http, the server URL must start with http://. |
serverType | integer | yes | The server type should be a value as follows: [0: http]. |
deviceClasses | array<integer> | yes | Supports protocol-based filtering during IoT data reporting processes.<br />The device class list should contain the value as follows: [0:minew; 1:iBeacon; 2:Eddystone]. |
reportInterval | integer | no | Data reporting interval configuration for AP devices in IoT systems.The parameter [reportInterval] should be within the range of 1–3600 in seconds, and it cannot be null when blePeriodicTelemetry is enabled. |
authentication | integer | yes | The parameter [authentication] should be a value as follows:[0:Use Token]. |
accessToken | string | yes | This parameter becomes mandatory when the authentication method is set to "Use Token".<br/>Note:The parameter [clientId] should be 1 ~ 128 characters. |
clientId | string | yes | This parameter becomes mandatory when the authentication method is set to "Use Token".<br />Note:The parameter [clientId] should be 1 ~ 128 characters. |
rssiFormat | integer | yes | The signal strength reporting format currently supports five types: [0:Average; 1:Max; 2:Last; 3:Smooth; 4:Bulk]. |
filtersType | array<integer> | no | User-defined settings to manage AP device filtering rules for IoT devices.<br />The parameter [filtersType] should contain the value as follows:[0:Company Identifier; 1:Vendor; 2:Local Name; 3:Service UUID; 4:Mac Oui; 5:iBeacon UUID; 6:UID; 7:URL]. |
filters | object | no | The keys in the [filters] map represent the filter types, while the values correspond to the specific filtering criteria or values associated with each filter type.<br />Note:<br />Filter type = 0, The Company Identifier must conform to a 4-digit or 6-digit hexadecimal encoding. It is only applicable to ibeacon devices<br />Filter type = 1, The Vendor should not exceed 255 bytes in length.<br />Filter type = 2, The Local Name should not exceed 120 bytes in length. It is only applicable to minew devices.<br />Filter type = 3, The Service UUID must conform to a 4-digit hexadecimal encoding. It is only applicable to minew and eddystone devices.<br />Filter type = 4, The Mac Oui must conform to a 6-digit hexadecimal encoding.<br />Filter type = 5, The iBeacon UUID must conform to a 32-digit hexadecimal encoding. It is only applicable to iBeacon devices.<br />Filter type = 6, The UID must conform to a 20-digit or 32-digit hexadecimal encoding. It is only applicable to eddystone devices.<br />Filter type = 7, The URL should not include a scheme. It is only applicable to eddystone devices.<br /> |
countOnly | boolean | no | A switch that controls whether the AP device exclusively reports the count of IoT devices, and it cannot be null when blePeriodicTelemetry is enabled. |
blePeriodicTelemetry | boolean | yes | Whether to enable the BLE Periodic Telemetry. When disabled no periodic packets will be uploaded. |
rawData | boolean | yes | Whether to enable the BLE Data Forwarding. When enabled, the AP directly reports the Bluetooth packet rawData to the server. |
// omada_call_operation
{
"operationId": "modifyIotServerTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"id": "<id>"
},
"body": "{...}"
}Details, permissions and error codes
Modify IoT Transport Stream setting in site template.
The interface requires one of the permissions:
Global Site Template Manager Modify
batchDeleteIotServerTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/iot/servers/batch-delete
Batch delete IoT Transport Stream(Template)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema BatchDeleteCommonOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<string> | no | A set of Bluetooth Advertising entry ids to be deleted. |
// omada_call_operation
{
"operationId": "batchDeleteIotServerTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch delete IoT Transport Stream setting in site template.
The interface requires one of the permissions:
Global Site Template Manager Modify